=== debian/changelog ===
lomiri-indicator-transfer (0.4-2) unstable; urgency=medium

  * Re-upload as is source-only.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 26 Jan 2023 20:34:37 +0100

lomiri-indicator-transfer (0.4-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1028902).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 14 Jan 2023 17:27:14 +0100
