=== debian/control ===
Source: lomiri-indicator-transfer
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
 Marius Gripsgard <marius@ubports.com>,
Build-Depends: debhelper-compat (= 13),
               cmake,
               dbus,
               libglib2.0-dev (>= 2.35.4),
               libproperties-cpp-dev,
               libclick-dev (>= 0.4.30),
               libjson-glib-dev,
               liblomiri-app-launch-dev,
# for coverage reports
               lcov,
# for tests
               cmake-extras,
               cppcheck,
               dbus-test-runner,
               libgtest-dev,
               libdbustest1-dev,
               google-mock (>= 1.8.0),
               valgrind-if-available,
# for systemd unit directory
               systemd,
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/indicator-transfer
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer/
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer.git

Package: lomiri-indicator-transfer
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lomiri-indicator-transfer-common (>= ${source:Version}),
         libindicator-transfer0 (= ${binary:Version}),
         ayatana-indicator-common,
Recommends: indicator-applet | indicator-renderer,
            content-hub,
            lomiri-download-manager,
            lomiri-indicator-transfer-download-manager (>= ${binary:Version}),
Description: Lomiri Indicator showing transfers
 Indicator that shows file/data transfers in the indicator bar of the
 Lomiri operating shell.
 .
 This package provides the indicator service itself.

Package: lomiri-indicator-transfer-common
Architecture: all
Depends: ${misc:Depends},
Description: Lomiri Indicator showing transfers - common files
 Indicator that shows file/data transfers in the indicator bar of the
 Lomiri operating shell.
 .
 This package provides architecture independent files, such as translation
 files.

Package: lomiri-indicator-transfer-download-manager
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         lomiri-indicator-transfer (= ${binary:Version}),
Description: Download manager plugin for Lomiri's Transfer Indicator
 Indicator that shows file/data transfers in the indicator bar of the
 Lomiri operating shell.
 .
 This package contains the associated download manager.

Package: libindicator-transfer0
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Shared library used by transfer-indicator and plugins
 Indicator that shows file/data transfers in the indicator bar of the
 Lomiri operating shell.
 .
 This package contains a shared library used by Lomiri Indicator
 Transfer.

Package: libindicator-transfer-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libindicator-transfer0 (= ${binary:Version}),
Description: Development files for indicator-transfer
 Indicator that shows file/data transfers in the indicator bar of the
 Lomiri operating shell.
 .
 This package contains development headers for the shared library of
 Lomiri Indicator Transfer.
