## lomiri-indicator-transfer 1.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-project (indicator-transfer C CXX)
 cmake_minimum_required (VERSION 3.5)
+project (indicator-transfer VERSION 1.0.0 LANGUAGES C CXX)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -8,7 +8,6 @@
 ##
 include (GNUInstallDirs)
 
-set (PROJECT_VERSION "0.3")
 set (PACKAGE ${CMAKE_PROJECT_NAME})
 set (GETTEXT_PACKAGE "indicator-transfer")
 add_definitions (
@@ -30,9 +29,9 @@
 ## Version
 ##
 
-set(INDICATOR_TRANSFER_VERSION_MAJOR 0)
+set(INDICATOR_TRANSFER_VERSION_MAJOR 1)
 set(INDICATOR_TRANSFER_VERSION_MINOR 0)
-set(INDICATOR_TRANSFER_VERSION_PATCH 2)
+set(INDICATOR_TRANSFER_VERSION_PATCH 0)
 set(INDICATOR_TRANSFER_VERSION "${INDICATOR_TRANSFER_VERSION_MAJOR}.${INDICATOR_TRANSFER_VERSION_MINOR}.${INDICATOR_TRANSFER_VERSION_PATCH}")
 
 ##
