=== debian/changelog ===
lomiri-indicator-transfer (1.0.0-2) unstable; urgency=medium

  * Re-upload to unstable source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 21:33:55 +0100

lomiri-indicator-transfer (1.0.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update auto-generated copyright.in file.
  * debian/lomiri-indicator-transfer.install:
    + Adjust installation path of the indicator profile file.
  * debian/:
    + SOVERSION bump of libindicator-transfer. There are no consumers in
      Debian except from the transfer indicator (in this src:pkg) itself.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 18:19:57 +0100
