=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          lomiri-indicator-transfer-common (>= ${source:Version}),
-         libindicator-transfer0 (= ${binary:Version}),
+         libindicator-transfer1 (= ${binary:Version}),
          ayatana-indicator-common,
 Recommends: indicator-applet | indicator-renderer,
             content-hub,
@@ -69,7 +69,7 @@
  .
  This package contains the associated download manager.
 
-Package: libindicator-transfer0
+Package: libindicator-transfer1
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -87,7 +87,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libindicator-transfer0 (= ${binary:Version}),
+         libindicator-transfer1 (= ${binary:Version}),
 Description: Development files for indicator-transfer
  Indicator that shows file/data transfers in the indicator bar of the
  Lomiri operating shell.
