## lomiri-indicator-transfer 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.5)
-project (indicator-transfer VERSION 1.0.0 LANGUAGES C CXX)
+project (indicator-transfer VERSION 1.1.0 LANGUAGES C CXX)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -8,8 +8,7 @@
 ##
 include (GNUInstallDirs)
 
-set (PACKAGE ${CMAKE_PROJECT_NAME})
-set (GETTEXT_PACKAGE "indicator-transfer")
+set (GETTEXT_PACKAGE ${CMAKE_PROJECT_NAME})
 add_definitions (
     -DGETTEXT_PACKAGE="${GETTEXT_PACKAGE}"
     -DGNOMELOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
