=== debian/changelog ===
lomiri-indicator-transfer (1.1.0-1.1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 19:58:34 +0000

lomiri-indicator-transfer (1.1.0-1.1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 23:08:35 +0000

lomiri-indicator-transfer (1.1.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062670

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 09:47:28 +0000

lomiri-indicator-transfer (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    + Update copyright attribution for debian/.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 Feb 2024 12:08:09 +0100

lomiri-indicator-transfer (1.0.0-3) unstable; urgency=medium

  * debian/patches: Add patch to fix FTBFS with googletest 1.13.0
    (closes: #1041136)
  * debian/control: Use my debian email

 -- Marius Gripsgard <mariogrip@debian.org>  Wed, 26 Jul 2023 21:19:46 +0200
