=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: lomiri-indicator-transfer
 Section: misc
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
- Marius Gripsgard <marius@ubports.com>,
-Build-Depends: debhelper-compat (= 13),
+ Marius Gripsgard <mariogrip@debian.org>,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                cmake,
                dbus,
                libglib2.0-dev (>= 2.35.4),
@@ -36,7 +37,7 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          lomiri-indicator-transfer-common (>= ${source:Version}),
-         libindicator-transfer1 (= ${binary:Version}),
+         libindicator-transfer1t64 (= ${binary:Version}),
          ayatana-indicator-common,
 Recommends: indicator-applet | indicator-renderer,
             content-hub,
@@ -69,7 +70,10 @@
  .
  This package contains the associated download manager.
 
-Package: libindicator-transfer1
+Package: libindicator-transfer1t64
+Provides: ${t64:Provides}
+Replaces: libindicator-transfer1
+Breaks: libindicator-transfer1 (<< ${source:Version})
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -87,7 +91,7 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libindicator-transfer1 (= ${binary:Version}),
+         libindicator-transfer1t64 (= ${binary:Version}),
 Description: Development files for indicator-transfer
  Indicator that shows file/data transfers in the indicator bar of the
  Lomiri operating shell.
