=== debian/watch ===
version=4
https://gitlab.com/ubports/core/indicator-transfer/tags .*/indicator-transfer-(\d\S+)\.tar\.gz
