## lomiri-indicator-transfer 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required (VERSION 3.5)
-project (indicator-transfer VERSION 1.1.0 LANGUAGES C CXX)
+project (lomiri-indicator-transfer VERSION 1.2.0 LANGUAGES C CXX)
 
 list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
 
@@ -28,10 +28,10 @@
 ## Version
 ##
 
-set(INDICATOR_TRANSFER_VERSION_MAJOR 1)
-set(INDICATOR_TRANSFER_VERSION_MINOR 0)
-set(INDICATOR_TRANSFER_VERSION_PATCH 0)
-set(INDICATOR_TRANSFER_VERSION "${INDICATOR_TRANSFER_VERSION_MAJOR}.${INDICATOR_TRANSFER_VERSION_MINOR}.${INDICATOR_TRANSFER_VERSION_PATCH}")
+set(LOMIRI_INDICATOR_TRANSFER_VERSION_MAJOR 1)
+set(LOMIRI_INDICATOR_TRANSFER_VERSION_MINOR 0)
+set(LOMIRI_INDICATOR_TRANSFER_VERSION_PATCH 0)
+set(LOMIRI_INDICATOR_TRANSFER_VERSION "${LOMIRI_INDICATOR_TRANSFER_VERSION_MAJOR}.${LOMIRI_INDICATOR_TRANSFER_VERSION_MINOR}.${LOMIRI_INDICATOR_TRANSFER_VERSION_PATCH}")
 
 ##
 ##  Check for prerequisites
@@ -61,6 +61,10 @@
 ##
 ##  Actually building the service
 ##
+
+set(CMAKE_CXX_STANDARD 17)
+set(CMAKE_CXX_STANDARD_REQUIRED ON)
+set(CMAKE_CXX_EXTENSIONS OFF)
 
 # those GActionEntry structs tickle -Wmissing-field-initializers
 if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
