=== data/CMakeLists.txt ===
--- 
+++ 
@@ -39,7 +39,7 @@
          DESTINATION "${XDG_AUTOSTART_DIR}")
 
 ##
-##  Unity Indicator File
+##  Ayatana Indicator File
 ##
 
 # where to install
