=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
-set (SERVICE_LIB "indicator-transfer")
-set (SERVICE_EXEC "indicator-transfer-service")
+set (SERVICE_LIB "lomiri-indicator-transfer")
+set (SERVICE_EXEC "lomiri-indicator-transfer-service")
 
 add_definitions (-DG_LOG_DOMAIN="${CMAKE_PROJECT_NAME}")
 
@@ -18,8 +18,8 @@
 target_link_libraries (${SERVICE_LIB} PRIVATE ${SERVICE_DEPS_LIBRARIES} ${GCOV_LIBS})
 
 set_target_properties(${SERVICE_LIB} PROPERTIES
-  VERSION ${INDICATOR_TRANSFER_VERSION}
-  SOVERSION ${INDICATOR_TRANSFER_VERSION_MAJOR}
+  VERSION ${LOMIRI_INDICATOR_TRANSFER_VERSION}
+  SOVERSION ${LOMIRI_INDICATOR_TRANSFER_VERSION_MAJOR}
 )
 install (TARGETS ${SERVICE_LIB} LIBRARY DESTINATION ${CMAKE_INSTALL_FULL_LIBDIR})
