=== debian/changelog ===
lomiri-indicator-transfer (1.2.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_data-com.lomiri.indicator.transfer-Add-desktop_greet.patch.
      Also show transfer indicator in Lomiri Greeter on Desktop.
  * debian/rules:
    + Add dh_auto_clean override, cleaning up build cruft after build. (Closes:
      #1049123).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 06 Jun 2025 15:55:40 +0200

lomiri-indicator-transfer (1.2.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/:
    + Update upstream URL where referenced.
    + Adapt to upstream renaming (indicator-transfer -> lomiri-indicator-
      transfer).
  * debian/patches:
    + Drop 0001-Bump-cpp-std-version-to-14.patch and 0002_lomiri-indicators-
      target.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 20 Oct 2024 01:14:38 +0200

lomiri-indicator-transfer (1.1.0-4) unstable; urgency=medium

  * debian/control:
    + In R:, switch from content-hub to lomiri-content-hub.

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 08 Sep 2024 22:59:04 +0200

lomiri-indicator-transfer (1.1.0-3) unstable; urgency=medium

  * debian/patches:
    + Add 0002_lomiri-indicators-target.patch. Start with lomiri-
      indicators.target, not ayatana-indicators.target.
  * debian/control:
    + Drop from D: ayatana-indicator-common. The ayatana-indicators.target
      shipped in it is not used anymore.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 May 2024 12:23:37 +0200

lomiri-indicator-transfer (1.1.0-2) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.
  * debian/control:
    + Bump Standards-Version to 4.7.0. No changes needed.
    + In B-D, switch from systemd to systemd-dev. (Closes: #1060579).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 17 May 2024 19:27:40 +0200
