=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lomiri-indicator-transfer
 Section: misc
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
  Marius Gripsgard <mariogrip@debian.org>,
@@ -25,10 +24,10 @@
                google-mock (>= 1.8.0),
                valgrind-if-available,
 # for systemd unit directory
-               systemd,
-Standards-Version: 4.6.2
+               systemd-dev,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: https://gitlab.com/ubports/development/core/indicator-transfer
+Homepage: https://gitlab.com/ubports/development/core/lomiri-indicator-transfer
 Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer/
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer.git
 
@@ -37,10 +36,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          lomiri-indicator-transfer-common (>= ${source:Version}),
-         libindicator-transfer1t64 (= ${binary:Version}),
-         ayatana-indicator-common,
+         liblomiri-indicator-transfer1 (= ${binary:Version}),
 Recommends: indicator-applet | indicator-renderer,
-            content-hub,
+            lomiri-content-hub,
             lomiri-download-manager,
             lomiri-indicator-transfer-download-manager (>= ${binary:Version}),
 Description: Lomiri Indicator showing transfers
@@ -70,29 +68,26 @@
  .
  This package contains the associated download manager.
 
-Package: libindicator-transfer1t64
-Provides: ${t64:Provides}
-Replaces: libindicator-transfer1
-Breaks: libindicator-transfer1 (<< ${source:Version})
+Package: liblomiri-indicator-transfer1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-Description: Shared library used by transfer-indicator and plugins
+Description: Shared library used by Lomiri's Transfer Indicator and plugins
  Indicator that shows file/data transfers in the indicator bar of the
  Lomiri operating shell.
  .
  This package contains a shared library used by Lomiri Indicator
  Transfer.
 
-Package: libindicator-transfer-dev
+Package: liblomiri-indicator-transfer-dev
 Section: libdevel
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         libindicator-transfer1t64 (= ${binary:Version}),
-Description: Development files for indicator-transfer
+         liblomiri-indicator-transfer1 (= ${binary:Version}),
+Description: Development files for lomiri-indicator-transfer
  Indicator that shows file/data transfers in the indicator bar of the
  Lomiri operating shell.
  .
