=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,9 @@
 	ctest -j1 --output-on-failure
 endif
 
+override_dh_auto_clean:
+	dh_auto_clean
+	rm Testing -Rfv
+
 get-orig-source:
 	uscan --noconf --force-download --rename --download-current-version --destdir=..
